rte_regexdev_config(3)

NAME
rte_regexdev_config

SYNOPSIS

#include <rte_regexdev.h>

  Data Fields

uint16_t nb_max_matches
uint16_t nb_queue_pairs
uint32_t nb_rules_per_group
uint16_t nb_groups
const char * rule_db
uint32_t rule_db_len
uint32_t dev_cfg_flags

Detailed Description

RegEx device configuration structure

Definition at line 679 of file rte_regexdev.h.

Field Documentation

  uint16_t nb_max_matches
Maximum matches per scan configured on this device. This value cannot exceed the max_matches which previously provided in rte_regexdev_info_get(). The value 0 is allowed, in which case, value 1 used.

See also
    struct rte_regexdev_info::max_matches

Definition at line 680 of file rte_regexdev.h.

  uint16_t nb_queue_pairs
Number of RegEx queue pairs to configure on this device. This value cannot exceed the max_queue_pairs which previously provided in rte_regexdev_info_get().

See also
    struct rte_regexdev_info::max_queue_pairs

Definition at line 687 of file rte_regexdev.h.

  uint32_t nb_rules_per_group
Number of rules per group to configure on this device. This value cannot exceed the max_rules_per_group which previously provided in rte_regexdev_info_get(). The value 0 is allowed, in which case, struct rte_regexdev_info::max_rules_per_group used.

See also
    struct rte_regexdev_info::max_rules_per_group

Definition at line 693 of file rte_regexdev.h.

  uint16_t nb_groups
Number of groups to configure on this device. This value cannot exceed the max_groups which previously provided in rte_regexdev_info_get().

See also
    struct rte_regexdev_info::max_groups

Definition at line 701 of file rte_regexdev.h.

  const char* rule_db
Import initial set of prebuilt rule database on this device. The value NULL is allowed, in which case, the device will not be configured prebuilt rule database. Application may use rte_regexdev_rule_db_update() or rte_regexdev_rule_db_import() API to update or import rule database after the rte_regexdev_configure().

See also
    rte_regexdev_rule_db_update(), rte_regexdev_rule_db_import()

Definition at line 707 of file rte_regexdev.h.

  uint32_t rule_db_len
Length of rule_db buffer.

Definition at line 716 of file rte_regexdev.h.

  uint32_t dev_cfg_flags
RegEx device configuration flags, See RTE_REGEXDEV_CFG_*

Definition at line 718 of file rte_regexdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.